PUTC(3)

NAME
fputc, putc, putchar, putw - output a character or word to a stream

SYNOPSIS
#include <stdio.h>

int fputc (int c, FILE *stream);
int putc (int c, FILE *stream);
int putchar (int c);
int putw (int w, FILE *stream);

DESCRIPTION
The fputc function writes the character c (converted to an ``unsigned char'') to the output stream pointed to by stream.

Putc acts essentially identically to fputc, but is a macro that expands in-line. It may evaluate stream more than once, so arguments given to putc should not be expressions with potential side effects.

Putchar is identical to putc with an output stream of stdout.

The putw function writes the specified int to the named output stream.

RETURN VALUES
The functions, fputc, putc and putchar return the character written. If an error occurs, the value EOF is returned. The putw function returns 0 on success; EOF is returned if a write error occurs, or if an attempt is made to write a read-only stream.

SEE ALSO
ferror(3), fopen(3), getc(3), stdio(3)

STANDARDS
The functions fputc, putc, and putchar, conform to ANSI/C. A function putw function appeared in Version 6 AT&T UNIX.

BUGS
The size and byte order of an int varies from one machine to another, and putw is not recommended for portable applications.